[Testing Update x32] 2018-03-20 - Kernels, Curl

update
testing
manjaro32

#1

The start of a new updates batch. This should be pushed through quickly because of the update to curl. It’s a security update but curl has a number of software packages which depend on it so some things may need to be rebuilt. It should work as-is, though.


Available kernels

Series Version
linux316 3.16.56
linux41 4.1.49
linux44 4.4.122
linux49 4.9.88
linux414 4.14.29

Current difference to x32-stable

This thread will track updates to x32-testing as they are snapped over from x32-unstable
This post has a full difference to x32-stable, updates will be posted below as they occur.

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                            linux316            3.16.55-1            3.16.56-1
                    linux316-headers            3.16.55-1            3.16.56-1
                            linux414            4.14.27-1            4.14.29-1
                    linux414-headers            4.14.27-1            4.14.29-1
                             linux44            4.4.121-1            4.4.122-1
                     linux44-headers            4.4.121-1            4.4.122-1
                             linux49             4.9.87-1             4.9.88-1
                     linux49-headers             4.9.87-1             4.9.88-1
                      manjaro-system           20180318-1           20180320-1


:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                                curl           7.58.0-2.0           7.59.0-2.0
                                 gcc            7.3.0-1.1   7.3.1+20180312-1.0
                             gcc-ada            7.3.0-1.1   7.3.1+20180312-1.0
                         gcc-fortran            7.3.0-1.1   7.3.1+20180312-1.0
                              gcc-go            7.3.0-1.1   7.3.1+20180312-1.0
                            gcc-libs            7.3.0-1.1   7.3.1+20180312-1.0
                            gcc-objc            7.3.0-1.1   7.3.1+20180312-1.0
                              libpsl           0.20.0-1.0           0.20.1-1.0
                            libtirpc            1.0.2-3.0            1.0.3-1.0
                             libtool2.4.6+40+g6ca5e224-4.02.4.6+40+g6ca5e224-5.0


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                        gtk3-classic            3.22.28-1            3.22.29-2
                  linux316-acpi_call             1.1.0-40             1.1.0-41
                linux316-broadcom-wl      6.30.223.271-19      6.30.223.271-20
                linux316-ndiswrapper              1.61-19              1.61-20
                     linux316-nvidia           1:390.42-1           1:390.42-2
               linux316-nvidia-304xx         1:304.137-10         1:304.137-11
               linux316-nvidia-340xx            340.106-5            340.106-6
      linux316-open-vm-tools-modules      2:2013.09.16-39      2:2013.09.16-40
                      linux316-r8168           8.045.08-5           8.045.08-6
                  linux316-rt3562sta        2.4.1.1_r4-19        2.4.1.1_r4-20
                        linux316-spl              0.7.6-1              0.7.6-2
                linux316-vhba-module          20161009-19          20161009-20
   linux316-virtualbox-guest-modules              5.2.8-2              5.2.8-3
    linux316-virtualbox-host-modules              5.2.8-2              5.2.8-3
                        linux316-zfs              0.7.6-1              0.7.6-2
                  linux414-acpi_call             1.1.0-25             1.1.0-26
                   linux414-bbswitch               0.8-25               0.8-26
                linux414-broadcom-wl      6.30.223.271-25      6.30.223.271-26
                linux414-ndiswrapper              1.61-25              1.61-26
                     linux414-nvidia           1:390.42-2           1:390.42-3
               linux414-nvidia-304xx         1:304.137-25         1:304.137-26
               linux414-nvidia-340xx           340.106-13           340.106-14
                      linux414-r8168          8.045.08-13          8.045.08-14
                  linux414-rt3562sta        2.4.1.1_r4-25        2.4.1.1_r4-26
                        linux414-spl              0.7.6-3              0.7.6-4
                   linux414-tp_smapi              0.41-25              0.41-26
                linux414-vhba-module          20161009-25          20161009-26
   linux414-virtualbox-guest-modules              5.2.8-5              5.2.8-6
    linux414-virtualbox-host-modules              5.2.8-5              5.2.8-6
                        linux414-zfs              0.7.6-3              0.7.6-4
                   linux44-acpi_call           1.1.0-86.1             1.1.0-87
                 linux44-broadcom-wl    6.30.223.271-56.1      6.30.223.271-57
                 linux44-ndiswrapper            1.61-54.1              1.61-55
                      linux44-nvidia         1:390.42-1.1           1:390.42-2
                linux44-nvidia-304xx       1:304.137-21.1         1:304.137-22
                linux44-nvidia-340xx          340.106-8.1            340.106-9
       linux44-open-vm-tools-modules    2:2013.09.16-86.1      2:2013.09.16-87
                       linux44-r8168         8.045.08-8.1           8.045.08-9
                   linux44-rt3562sta      2.4.1.1_r4-54.1        2.4.1.1_r4-55
                         linux44-spl            0.7.6-1.1              0.7.6-2
                 linux44-vhba-module        20161009-54.1          20161009-55
    linux44-virtualbox-guest-modules            5.2.8-1.1              5.2.8-2
     linux44-virtualbox-host-modules            5.2.8-1.1              5.2.8-2
                         linux44-zfs            0.7.6-1.1              0.7.6-2
                   linux49-acpi_call             1.1.0-68             1.1.0-69
                    linux49-bbswitch               0.8-68               0.8-69
                 linux49-broadcom-wl      6.30.223.271-68      6.30.223.271-69
                 linux49-ndiswrapper              1.61-66              1.61-67
                      linux49-nvidia           1:390.42-1           1:390.42-2
                linux49-nvidia-304xx         1:304.137-27         1:304.137-28
                linux49-nvidia-340xx            340.106-8            340.106-9
                       linux49-r8168           8.045.08-8           8.045.08-9
                   linux49-rt3562sta        2.4.1.1_r4-66        2.4.1.1_r4-67
                         linux49-spl              0.7.6-2              0.7.6-3
                    linux49-tp_smapi              0.41-68              0.41-69
                 linux49-vhba-module          20161009-66          20161009-67
    linux49-virtualbox-guest-modules              5.2.8-2              5.2.8-3
     linux49-virtualbox-host-modules              5.2.8-2              5.2.8-3
                         linux49-zfs              0.7.6-2              0.7.6-3
                   ndiswrapper-utils              1.61-25              1.61-26
                    rt3562sta-common        2.4.1.1_r4-66        2.4.1.1_r4-67


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                          artikulate          17.12.3-1.0          17.12.3-1.1
                                asio             1.10.8-1           1.12.0-1.0
                             blinken          17.12.3-1.0          17.12.3-1.1
                              bomber          17.12.3-1.0          17.12.3-1.1
                                bovo          17.12.3-1.0          17.12.3-1.1
                              cantor          17.12.3-1.0          17.12.3-1.1
                               cmake           3.10.2-2.0           3.10.3-1.0
                              colord 1.4.1+6+gf08c25d-1.0            1.4.2-1.0
                             dnsmasq             2.78-2.0             2.79-1.0
                             dolphin          17.12.3-1.0          17.12.3-1.1
                       enlightenment           0.22.1-1.0           0.22.2-1.0
                              exempi   2.4.3+2+g65a8492-1            2.4.5-1.0
                             firefox           59.0.1-1.0           59.0.1-1.1
                    firefox-i18n-ach           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-af           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-an           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-ar           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-as           59.0.1-1.0           59.0.1-1.1
                    firefox-i18n-ast           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-az           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-be           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-bg           59.0.1-1.0           59.0.1-1.1
                  firefox-i18n-bn-bd           59.0.1-1.0           59.0.1-1.1
                  firefox-i18n-bn-in           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-br           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-bs           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-ca           59.0.1-1.0           59.0.1-1.1
                    firefox-i18n-cak           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-cs           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-cy           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-da           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-de           59.0.1-1.0           59.0.1-1.1
                    firefox-i18n-dsb           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-el           59.0.1-1.0           59.0.1-1.1
                  firefox-i18n-en-gb           59.0.1-1.0           59.0.1-1.1
                  firefox-i18n-en-us           59.0.1-1.0           59.0.1-1.1
                  firefox-i18n-en-za           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-eo           59.0.1-1.0           59.0.1-1.1
                  firefox-i18n-es-ar           59.0.1-1.0           59.0.1-1.1
                  firefox-i18n-es-cl           59.0.1-1.0           59.0.1-1.1
                  firefox-i18n-es-es           59.0.1-1.0           59.0.1-1.1
                  firefox-i18n-es-mx           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-et           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-eu           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-fa           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-ff           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-fi           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-fr           59.0.1-1.0           59.0.1-1.1
                  firefox-i18n-fy-nl           59.0.1-1.0           59.0.1-1.1
                  firefox-i18n-ga-ie           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-gd           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-gl           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-gn           59.0.1-1.0           59.0.1-1.1
                  firefox-i18n-gu-in           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-he           59.0.1-1.0           59.0.1-1.1
                  firefox-i18n-hi-in           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-hr           59.0.1-1.0           59.0.1-1.1
                    firefox-i18n-hsb           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-hu           59.0.1-1.0           59.0.1-1.1
                  firefox-i18n-hy-am           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-id           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-is           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-it           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-ja           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-ka           59.0.1-1.0           59.0.1-1.1
                    firefox-i18n-kab           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-kk           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-km           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-kn           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-ko           59.0.1-1.0           59.0.1-1.1
                    firefox-i18n-lij           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-lt           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-lv           59.0.1-1.0           59.0.1-1.1
                    firefox-i18n-mai           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-mk           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-ml           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-mr           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-ms           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-my           59.0.1-1.0           59.0.1-1.1
                  firefox-i18n-nb-no           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-nl           59.0.1-1.0           59.0.1-1.1
                  firefox-i18n-nn-no           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-or           59.0.1-1.0           59.0.1-1.1
                  firefox-i18n-pa-in           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-pl           59.0.1-1.0           59.0.1-1.1
                  firefox-i18n-pt-br           59.0.1-1.0           59.0.1-1.1
                  firefox-i18n-pt-pt           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-rm           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-ro           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-ru           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-si           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-sk           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-sl           59.0.1-1.0           59.0.1-1.1
                    firefox-i18n-son           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-sq           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-sr           59.0.1-1.0           59.0.1-1.1
                  firefox-i18n-sv-se           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-ta           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-te           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-th           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-tr           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-uk           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-ur           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-uz           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-vi           59.0.1-1.0           59.0.1-1.1
                     firefox-i18n-xh           59.0.1-1.0           59.0.1-1.1
                  firefox-i18n-zh-cn           59.0.1-1.0           59.0.1-1.1
                  firefox-i18n-zh-tw           59.0.1-1.0           59.0.1-1.1
                     flatpak-builder           0.10.6-1.0           0.10.9-1.0
                             freetds            1.00.44-1          1.00.83-1.0
                        gnu-efi-libs              3.0.6-1            3.0.8-1.0
                             gparted             0.30.0-3           0.31.0-1.0
                           granatier          17.12.3-1.0          17.12.3-1.1
                            harfbuzz            1.7.6-1.0            1.7.6-1.1
                        harfbuzz-icu            1.7.6-1.0            1.7.6-1.1
                               hplip          3.17.11-1.0           3.18.3-1.0
                        imagemagick6         6.9.9.38-1.0         6.9.9.39-2.0
                                js52           52.7.0-1.0           52.7.0-1.1
                             kajongg          17.12.3-1.0          17.12.3-1.1
                            kalgebra          17.12.3-1.0          17.12.3-1.1
                             kalzium          17.12.3-1.0          17.12.3-1.1
                            kanagram          17.12.3-1.0          17.12.3-1.1
                                kate          17.12.3-1.0          17.12.3-1.1
                              kbruch          17.12.3-1.0          17.12.3-1.1
                               kcron          17.12.3-1.0          17.12.3-1.1
                             kdialog          17.12.3-1.0          17.12.3-1.1
                      keditbookmarks          17.12.3-1.0          17.12.3-1.1
                               kfind          17.12.3-1.0          17.12.3-1.1
                          kgeography          17.12.3-1.0          17.12.3-1.1
                            khangman          17.12.3-1.0          17.12.3-1.1
                         khelpcenter          17.12.3-1.0          17.12.3-1.1
                                 kig          17.12.3-1.0          17.12.3-1.1
                               kiten          17.12.3-1.0          17.12.3-1.1
                            klettres          17.12.3-1.0          17.12.3-1.1
                              kmouth          17.12.3-1.0          17.12.3-1.1
                              kmplot          17.12.3-1.0          17.12.3-1.1
                             konsole          17.12.3-1.0          17.12.3-1.1
                  kross-interpreters          17.12.3-1.0          17.12.3-1.1
                          ksystemlog          17.12.3-1.0          17.12.3-1.1
                              ktouch          17.12.3-1.0          17.12.3-1.1
                             kturtle          17.12.3-1.0          17.12.3-1.1
                           kwordquiz          17.12.3-1.0          17.12.3-1.1
                              kwrite          17.12.3-1.0          17.12.3-1.1
                           libbluray              1.0.1-1            1.0.2-1.0
                  libhttpseverywhere            0.8.1-1.0            0.8.2-1.0
                             libical            3.0.1-1.0            3.0.3-1.0
                          libmagick6         6.9.9.38-1.0         6.9.9.39-2.0
                         libmicrodns            0.0.8-1.0           0.0.10-1.0
                               libnm           1.10.6-1.0           1.10.6-2.0
                          libnm-glib           1.10.6-1.0           1.10.6-2.0
                             libpqxx            6.1.0-1.0            6.1.1-1.0
                             librsvg         2:2.42.3-1.1         2:2.42.3-1.2
                            libxcomp         3.5.0.33-2.0        3.5.99.16-1.0
                              marble          17.12.3-1.0          17.12.3-1.1
                       marble-common          17.12.3-1.0          17.12.3-1.1
                           marble-qt          17.12.3-1.0          17.12.3-1.1
                              minuet          17.12.3-1.0          17.12.3-1.1
                                mono          5.4.1.7-2.0       5.10.0.160-1.0
                      networkmanager           1.10.6-1.0           1.10.6-2.0
                                nmap               7.60-1             7.70-1.0
                    noto-fonts-emoji         20180102-1.0         20180102-2.0
                          nx-headers         3.5.0.33-2.0        3.5.99.16-1.0
                              nx-x11         3.5.0.33-2.0        3.5.99.16-1.0
                             nxagent         3.5.0.33-2.0        3.5.99.16-1.0
                             nxproxy         3.5.0.33-2.0        3.5.99.16-1.0
                              parley          17.12.3-1.0          17.12.3-1.1
                            perl-dbi            1.640-1.0            1.641-1.0
                         perl-libwww             6.31-1.0             6.33-1.0
                     perl-xml-simple               2.24-3             2.25-1.0
                   publicsuffix-list20180225.652.d311456-1.020180320.657.a39f111-1.0
                        python-cairo           1.16.2-1.0           1.16.3-1.0
                 python-cryptography            2.1.4-1.0            2.2.1-1.0
                        python-numpy           1.14.1-1.0           1.14.2-1.0
                   python-setuptools         1:38.6.0-1.0         1:39.0.1-1.0
                       python2-cairo           1.16.2-1.0           1.16.3-1.0
                python2-cryptography            2.1.4-1.0            2.2.1-1.0
                       python2-numpy           1.14.1-1.0           1.14.2-1.0
                  python2-setuptools         1:38.6.0-1.0         1:39.0.1-1.0
                     qt5-declarative           5.10.1-3.0           5.10.1-3.2
                                rocs          17.12.3-1.0          17.12.3-1.1
                                step          17.12.3-1.0          17.12.3-1.1
                           syslog-ng           3.14.1-1.0           3.14.1-1.1
                              trayer            1.1.7-1.0            1.1.8-1.0
                            unixodbc            2.3.5-1.0            2.3.6-1.0
                        vim-spell-af           20150901-1         20180224-1.0
                        vim-spell-am           20150901-1         20180224-1.0
                        vim-spell-bg           20150901-1         20180224-1.0
                        vim-spell-br           20150901-1         20180224-1.0
                        vim-spell-ca           20150901-1         20180224-1.0
                        vim-spell-cs           20150901-1         20180224-1.0
                        vim-spell-cy           20150901-1         20180224-1.0
                        vim-spell-da           20150901-1         20180224-1.0
                        vim-spell-de           20150901-1         20180224-1.0
                        vim-spell-el           20150901-1         20180224-1.0
                        vim-spell-en           20150901-1         20180224-1.0
                        vim-spell-eo           20150901-1         20180224-1.0
                        vim-spell-es           20150901-1         20180224-1.0
                        vim-spell-fo           20150901-1         20180224-1.0
                        vim-spell-fr           20150901-1         20180224-1.0
                        vim-spell-ga           20150901-1         20180224-1.0
                        vim-spell-gd           20150901-1         20180224-1.0
                        vim-spell-gl           20150901-1         20180224-1.0
                        vim-spell-he           20150901-1         20180224-1.0
                        vim-spell-hr           20150901-1         20180224-1.0
                        vim-spell-hu           20150901-1         20180224-1.0
                        vim-spell-id           20150901-1         20180224-1.0
                        vim-spell-it           20150901-1         20180224-1.0
                        vim-spell-ku           20150901-1         20180224-1.0
                        vim-spell-la           20150901-1         20180224-1.0
                        vim-spell-lt           20150901-1         20180224-1.0
                        vim-spell-lv           20150901-1         20180224-1.0
                        vim-spell-mg           20150901-1         20180224-1.0
                        vim-spell-mi           20150901-1         20180224-1.0
                        vim-spell-ms           20150901-1         20180224-1.0
                        vim-spell-nb           20150901-1         20180224-1.0
                        vim-spell-nl           20150901-1         20180224-1.0
                        vim-spell-nn           20150901-1         20180224-1.0
                        vim-spell-ny           20150901-1         20180224-1.0
                        vim-spell-pl           20150901-1         20180224-1.0
                        vim-spell-pt           20150901-1         20180224-1.0
                        vim-spell-ro           20150901-1         20180224-1.0
                        vim-spell-ru           20150901-1         20180224-1.0
                        vim-spell-rw           20150901-1         20180224-1.0
                        vim-spell-sk           20150901-1         20180224-1.0
                        vim-spell-sl           20150901-1         20180224-1.0
                        vim-spell-sv           20150901-1         20180224-1.0
                        vim-spell-sw           20150901-1         20180224-1.0
                       vim-spell-tet           20150901-1         20180224-1.0
                        vim-spell-th           20150901-1         20180224-1.0
                        vim-spell-tl           20150901-1         20180224-1.0
                        vim-spell-tn           20150901-1         20180224-1.0
                        vim-spell-uk           20150901-1         20180224-1.0
                        vim-spell-yi           20150901-1         20180224-1.0
                        vim-spell-zu           20150901-1         20180224-1.0
                                wget           1.19.4-2.0           1.19.4-3.0
                      xfce4-settings           4.12.2-1.0           4.12.3-1.0
                          xorg-xinit            1.4.0-2.0            1.4.0-3.0


:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
      deepin-desktop-schemas-manjaro              3.2.7-1              3.2.8-1


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                               abcde            2.8.1-3.0            2.9.1-1.0
                      acpi_call-dkms          1.1.0-111.0          1.1.0-112.0
                         agda-stdlib               0.14-1             0.15-1.0
                           auditbeat            6.2.2-1.0            6.2.3-1.0
                           bettercap              2.2-1.0              2.3-1.0
                                c2hs          0.28.3-16.0          0.28.3-17.0
                       cabal-install         2.0.0.1-35.1         2.0.0.1-38.0
                             caprine            2.9.0-1.0           2.10.0-1.0
                             certbot           0.22.0-1.0           0.22.2-1.0
                      certbot-apache           0.22.0-1.0           0.22.2-1.0
              certbot-dns-cloudflare           0.22.0-1.0           0.22.2-1.0
                certbot-dns-cloudxns           0.22.0-1.0           0.22.2-1.0
            certbot-dns-digitalocean           0.22.0-1.0           0.22.2-1.0
                certbot-dns-dnsimple           0.22.0-1.0           0.22.2-1.0
             certbot-dns-dnsmadeeasy           0.22.0-1.0           0.22.2-1.0
                  certbot-dns-google           0.22.0-1.0           0.22.2-1.0
                  certbot-dns-luadns           0.22.0-1.0           0.22.2-1.0
                   certbot-dns-nsone           0.22.0-1.0           0.22.2-1.0
                 certbot-dns-rfc2136           0.22.0-1.0           0.22.2-1.0
                 certbot-dns-route53           0.22.0-1.0           0.22.2-1.0
                       certbot-nginx           0.22.0-1.0           0.22.2-1.0
                             cryptol           2.5.0-37.0           2.5.0-39.0
                              cython             0.28-1.0           0.28.1-1.0
                             cython2             0.28-1.0           0.28.1-1.0
                               darcs 2.12.5.20170909-57.1 2.12.5.20170909-60.0
                          deepin-api           3.1.21-1.0           3.1.22-1.0
                   deepin-calculator            1.0.2-1.0            1.0.2-1.1
                       deepin-daemon           3.2.10-2.0           3.2.11-1.0
              deepin-desktop-schemas            3.2.8-1.0            3.2.9-1.0
                       deepin-go-lib            1.2.5-1.0            1.2.6-1.0
                               dingo               0.13-3             0.13-4.0
                      docker-compose           1.19.0-2.0           1.20.0-1.0
                             dovecot          2.3.0.1-2.0          2.3.0.1-3.0
                       elasticsearch            6.2.2-1.0            6.2.3-1.0
                            electron            1.8.2-1.0            1.8.4-1.0
                                eric            18.02-1.0            18.03-1.0
                         eric-common            18.02-1.0            18.03-1.0
                        eric-i18n-de            18.02-1.0            18.03-1.0
                        eric-i18n-en            18.02-1.0            18.03-1.0
                        eric-i18n-es            18.02-1.0            18.03-1.0
                        eric-i18n-ru            18.02-1.0            18.03-1.0
                              eslint           4.19.0-1.0           4.19.0-1.1
                              facter            3.9.5-1.0           3.10.0-1.0
                            filebeat            6.2.2-1.0            6.2.3-1.0
  firefox-extension-https-everywhere        2018.2.26-1.0        2018.3.13-1.0
                         geckodriver           0.20.0-1.0           0.20.0-1.1
                           git-annex       6.20180316-1.0       6.20180316-7.0
                              glider            0.5.0-1.0            0.5.1-1.0
                              gnunet          0.10.1-11.0          0.10.1-12.0
                               gnurl           7.58.0-2.0           7.58.0-3.0
                       haskell-brick          0.34.1-16.0          0.34.1-17.0
                       haskell-cairo         0.13.4.2-4.0         0.13.4.2-4.1
         haskell-conduit-combinators           1.1.2-42.0           1.1.2-43.0
               haskell-conduit-extra         1.2.3.2-25.0         1.2.3.2-26.0
                    haskell-cracknum              1.9-3.0              2.0-1.0
                   haskell-criterion          1.4.0.0-8.0         1.4.0.0-11.0
          haskell-cryptohash-conduit          0.1.1-150.0          0.1.1-151.0
          haskell-cryptonite-conduit           0.2.2-43.0           0.2.2-44.0
      haskell-data-accessor-template         0.2.1.14-4.0         0.2.1.15-1.0
                         haskell-dns            3.0.2-8.0            3.0.2-9.0
                   haskell-esqueleto           2.5.3-80.0           2.5.3-81.0
                        haskell-feed         1.0.0.0-39.0         1.0.0.0-40.0
                        haskell-glib         0.13.5.0-4.0         0.13.5.0-4.1
                      haskell-gnuidn           0.2.2-24.0           0.2.2-25.0
                      haskell-hjsmin         0.2.0.2-22.0         0.2.0.2-23.0
                 haskell-hjsonschema           1.7.2-49.0           1.7.2-52.0
                    haskell-hopenpgp          2.5.5-187.0          2.5.5-190.0
                   haskell-hspec-wai           0.9.0-43.0           0.9.0-44.0
              haskell-hspec-wai-json           0.9.0-48.0           0.9.0-49.0
                        haskell-http        4000.3.10-2.0        4000.3.11-2.0
                haskell-http-conduit           2.2.4-67.0           2.2.4-70.0
          haskell-incremental-parser         0.2.5.3-17.0         0.2.5.3-18.0
                 haskell-ixset-typed          0.3.1.1-9.0         0.3.1.1-10.0
                   haskell-js-jquery           3.3.1-30.0           3.3.1-33.0
                 haskell-juicypixels          3.2.9.4-3.0          3.2.9.5-1.0
         haskell-language-javascript         0.6.0.10-7.0         0.6.0.11-1.0
                haskell-monad-logger         0.3.28.2-2.0         0.3.28.2-3.0
           haskell-monoid-subclasses            0.4.4-7.0            0.4.6-1.0
       haskell-network-protocol-xmpp           0.4.8-29.0           0.4.8-30.0
                       haskell-nonce            1.0.7-2.0            1.0.7-3.0
                haskell-pandoc-types        1.17.3.1-16.0         1.17.4.2-1.0
                       haskell-pango         0.13.4.0-8.0         0.13.4.0-8.1
                  haskell-persistent         2.7.3.1-33.0         2.7.3.1-34.0
           haskell-persistent-sqlite           2.6.4-59.0           2.6.4-61.0
         haskell-persistent-template         2.5.3.1-32.0            2.5.4-1.0
            haskell-project-template         0.2.0.1-20.0         0.2.0.1-21.0
                    haskell-safecopy            0.9.4-1.0          0.9.4.1-1.0
                         haskell-sbv             7.5-24.0              7.6-1.0
              haskell-servant-server            0.12-79.0            0.12-82.0
                   haskell-setlocale          1.0.0.6-1.0          1.0.0.6-1.1
                       haskell-shake          0.16.3-16.0          0.16.3-19.0
                      haskell-shelly            1.7.1-3.0            1.7.2-1.0
             haskell-simple-sendfile          0.2.27-17.0          0.2.27-18.0
               haskell-stringbuilder            0.5.1-3.0            0.5.1-3.1
                     haskell-texmath        0.10.1.1-14.0        0.10.1.1-16.0
               haskell-typed-process          0.2.1.0-5.0          0.2.2.0-1.0
                    haskell-unliftio          0.2.5.0-1.0          0.2.6.0-1.0
                         haskell-vty             5.20-5.0             5.21-1.0
                         haskell-wai         3.2.1.1-31.0          3.2.1.2-1.0
              haskell-wai-app-static        3.1.6.1-168.0          3.1.6.2-2.0
                 haskell-wai-conduit         3.0.0.3-19.0          3.0.0.4-2.0
                    haskell-wai-cors           0.2.6-21.0           0.2.6-22.0
                   haskell-wai-extra        3.0.22.0-31.0        3.0.22.0-32.0
          haskell-wai-handler-launch         3.0.2.3-41.0         3.0.2.3-43.0
                  haskell-wai-logger            2.3.2-6.0            2.3.2-8.0
       haskell-wai-middleware-static           0.8.1-34.0           0.8.1-35.0
              haskell-wai-websockets         3.0.1.1-60.0          3.0.1.2-2.0
                        haskell-warp         3.2.18.1-6.0         3.2.18.1-8.0
                    haskell-warp-tls         3.2.4.2-28.0         3.2.4.2-30.0
                 haskell-xml-conduit         1.7.1.2-20.0         1.7.1.2-21.0
                  haskell-xml-hamlet         0.4.1.1-45.0         0.4.1.1-46.0
                   heartbeat-elastic            6.2.2-1.0            6.2.3-1.0
                         hledger-api             1.5-99.0            1.5-102.0
                      hopenpgp-tools         0.19.5-103.0         0.19.5-106.0
                                 inn            2.6.1-6.0            2.6.2-1.0
                             jenkins            2.111-1.0            2.112-1.0
                             jnettop             0.13.0-5           0.13.0-5.1
                                  jq                1.5-5              1.5-6.0
                             kbibtex              0.7-1.0  0.7.git20180320-1.0
                              kibana            6.2.2-1.0            6.2.3-1.0
                                lash       0.6.0~rc2-11.0       0.6.0~rc2-12.0
                      libcurl-compat           7.58.0-2.0           7.59.0-1.0
                      libcurl-gnutls           7.58.0-2.0           7.59.0-1.0
                            libmatio           1.5.11-1.1           1.5.12-1.0
      libreoffice-extension-texmaths             0.45-1.0             0.45-1.1
                             librime         1:1.2.10-1.0          1:1.3.0-1.0
                            librsync            1:1.0.0-1          1:2.0.2-1.0
                            logstash            6.2.2-1.0            6.2.3-1.0
                      matrix-synapse           0.26.0-1.0           0.26.1-1.0
                         mcollective           2.11.4-8.0           2.11.4-9.0
                            mednafen             0.9.48-1           1.21.1-1.0
                          metasploit          4.16.44-1.0          4.16.45-1.0
                          metricbeat            6.2.2-1.0            6.2.3-1.0
                                 nbd             3.17-1.0             3.17-3.0
                      nginx-mainline           1.13.9-1.0          1.13.10-1.0
                              octave            4.2.1-9.0            4.2.2-1.0
                           oniguruma            6.8.0-1.0            6.8.1-1.0
                     owncloud-client            2.4.1-1.0            2.4.1-2.0
                          packetbeat            6.2.2-1.0            6.2.3-1.0
                                  pd           0.48.0-3.0           0.48.1-3.0
                    perl-net-dns-sec             1.04-2.0             1.05-1.0
                  perl-text-template             1.51-1.0             1.52-1.0
                         pidgin-sipe           1.23.1-1.0           1.23.2-1.0
                              pifpaf            2.1.0-1.0            2.1.1-1.0
                           postgrest         0.4.4.0-92.0         0.4.4.0-96.0
                               pound                2.7-5              2.7-7.0
                              puppet            5.3.5-1.0            5.4.0-1.0
                             pyflame              1.3.1-1            1.6.3-1.0
                         python-acme           0.22.0-1.0           0.22.2-1.0
         python-cryptography-vectors            2.1.4-1.0            2.2.1-1.0
                       python-docker            3.1.1-1.0            3.1.3-1.0
                python-elasticsearch            6.1.1-1.0            6.2.0-1.0
                   python-hypothesis           3.49.1-1.0           3.50.2-1.0
                       python-imdbpy              6.4-1.0            6.4.1-1.0
                         python-mox3           0.25.0-1.0           0.25.0-1.1
                     python-oauthlib              2.0.6-1            2.0.7-1.0
                      python-oslo-db           4.34.0-1.0           4.35.0-1.0
                 python-phonenumbers            8.9.1-1.0            8.9.2-1.0
                       python-pipenv           11.0.3-1.0           11.9.0-1.0
                  python-pycontracts            1.8.2-1.0            1.8.3-1.0
                     python-pygithub             1.37-1.0             1.38-1.0
                python-pytest-flake8              0.9.1-1            1.0.0-1.0
                python-pytest-runner              4.0-1.0              4.2-1.0
               python-pytest-twisted                1.5-1            1.7.1-1.0
                      python-pytools           2018.3-1.0           2018.3-1.1
               python-setuptools-scm           1.15.7-1.0           1.17.0-1.0
                         python-tqdm           4.19.8-1.0           4.19.8-1.1
                         python-xlib             0.22-1.0             0.22-1.1
                     python-zeroconf           0.20.0-1.0           0.20.0-2.0
                        python2-acme           0.22.0-1.0           0.22.2-1.0
        python2-cryptography-vectors            2.1.4-1.0            2.2.1-1.0
                      python2-docker            3.1.1-1.0            3.1.3-1.0
               python2-elasticsearch            6.1.1-1.0            6.2.0-1.0
                        python2-eric            18.02-1.0            18.03-1.0
                  python2-hypothesis           3.49.1-1.0           3.50.2-1.0
                        python2-ldap            3.0.0-1.0            3.0.0-1.1
                        python2-mox3           0.25.0-1.0           0.25.0-1.1
                    python2-oauthlib              2.0.6-1            2.0.7-1.0
                     python2-oslo-db           4.34.0-1.0           4.35.0-1.0
                python2-phonenumbers            8.9.1-1.0            8.9.2-1.0
                      python2-pifpaf            2.1.0-1.0            2.1.1-1.0
                      python2-pipenv           11.0.3-1.0           11.9.0-1.0
                 python2-pycontracts            1.8.2-1.0            1.8.3-1.0
                    python2-pygithub             1.37-1.0             1.38-1.0
               python2-pytest-flake8              0.9.1-1            1.0.0-1.0
               python2-pytest-runner              4.0-1.0              4.2-1.0
              python2-pytest-twisted                1.5-1            1.7.1-1.0
                     python2-pytools           2018.3-1.0           2018.3-1.1
              python2-setuptools-scm           1.15.7-1.0           1.17.0-1.0
                        python2-tqdm           4.19.8-1.0           4.19.8-1.1
                       python2-twine           1.10.0-1.0           1.11.0-1.0
                        python2-xlib             0.22-1.0             0.22-1.1
                        python2-yapf           0.20.2-1.0           0.21.0-1.0
                         qutebrowser            1.2.0-1.0            1.2.1-1.0
                              rclone             1.39-1.0             1.40-1.0
                                rofi            1.5.0-2.0            1.5.1-1.0
                       roundcubemail            1.3.4-1.0            1.3.5-1.0
                          ruby-async            1.2.2-1.0            1.3.0-1.0
                       ruby-async-io            1.3.0-1.0            1.4.0-1.0
                          ruby-cairo          1.15.12-1.0          1.15.12-1.1
                      ruby-nats-pure            0.2.4-2.0            0.4.0-1.0
                          ruby-nio4r            2.2.0-1.0            2.3.0-1.0
                            shotwell         2:0.26.4-1.0         2:0.28.0-1.0
                            smplayer           18.2.2-1.0           18.3.0-1.0
                               stack           1.6.5-44.0           1.6.5-50.0
                            startdde           3.1.25-1.0           3.1.26-1.0
                              stella              5.0.2-1            5.1.1-1.0
                      tamarin-prover           1.2.3-21.0           1.2.3-25.0
                              tt-rss1:17.4.r180.g820873de-1.01:17.4.r441.ge35a4673-1.0
                               twine           1.10.0-1.0           1.11.0-1.0
                           uglify-js           3.3.15-1.0           3.3.16-1.0
                          vdirsyncer           0.16.4-2.0           0.16.4-3.0
                       vim-gitgutter      487.7222649-1.0      490.37bdd03-1.0
                             weechat            2.0.1-2.0              2.1-1.0
                                wine              3.4-1.0              3.4-1.1
                        wine-staging              3.4-1.0              3.4-1.1
                   wine-staging-nine              3.3-2.0              3.4-1.0
                       wireshark-cli            2.5.0-1.0            2.5.1-1.0
                    wireshark-common            2.5.0-1.0            2.5.1-1.0
                       wireshark-gtk            2.5.0-1.0            2.5.1-1.0
                        wireshark-qt            2.5.0-1.0            2.5.1-1.0
                              xmobar            0.25-14.0            0.25-17.0
                             yakuake            3.0.4-2.0            3.0.4-2.1
                                yapf           0.20.2-1.0           0.21.0-1.0
                                zbar            0.10-12.0             0.20-1.0
                                 zim             0.68-1.0             0.68-1.1

Any problems?

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


Is x32-testing ready to be moved to x32-stable?

This will inform the snap process; there is no set threshold.

Please vote on the “is it ready yet?” poll but only when you feel this set is tested enough, and has a sufficient number of changes compared to x32-stable. Do keep in mind that x32-stable updates should be less frequent than x32-testing so not every testing update set should need to be moved over.

  • No or Not yet
  • Yes, x32-testing should be snapped to x32-stable at this point
  • Other (post)

0 voters


#2
:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                        gtk3-classic            3.22.28-1            3.22.29-2
                            libxfont              1.5.3-1              1.5.3-2


:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
      deepin-desktop-schemas-manjaro              3.2.7-1              3.2.8-1

#3

Trouble with NetworkManager after this update (unstable):

[2018-03-20 21:16] [ALPM] transaction started
[2018-03-20 21:16] [ALPM] upgraded libpsl (0.20.0-1.0 -> 0.20.1-1.0)
[2018-03-20 21:16] [ALPM] upgraded gcc-libs (7.3.0-1.1 -> 7.3.1+20180312-1.0)
[2018-03-20 21:16] [ALPM] upgraded curl (7.58.0-2.0 -> 7.59.0-2.0)
[2018-03-20 21:16] [ALPM] upgraded dnsmasq (2.78-2.0 -> 2.79-1.0)
[2018-03-20 21:16] [ALPM] upgraded harfbuzz (1.7.6-1.0 -> 1.7.6-1.1)
[2018-03-20 21:16] [ALPM] upgraded librsvg (2:2.42.3-1.1 -> 2:2.42.3-1.2)
[2018-03-20 21:16] [ALPM] upgraded gtk3-classic (3.22.28-1 -> 3.22.29-2)
[2018-03-20 21:16] [ALPM-SCRIPTLET] 
[2018-03-20 21:16] [ALPM-SCRIPTLET] e[1;1me[1;32m ==>e[1;0me[1;1m gtk3-classic disables Client Side Decorations by default !
[2018-03-20 21:16] [ALPM-SCRIPTLET]   -> They are needed for GNOME desktop with Wayland !
[2018-03-20 21:16] [ALPM-SCRIPTLET]   -> To enable CSD set environment variable 'GTK_CSD=1'.
[2018-03-20 21:16] [ALPM-SCRIPTLET] 
[2018-03-20 21:16] [ALPM-SCRIPTLET]   -> For more details see /usr/share/gtk-3.0/README.md
[2018-03-20 21:16] [ALPM-SCRIPTLET]   e[1;0m
[2018-03-20 21:16] [ALPM] upgraded libbluray (1.0.1-1 -> 1.0.2-1.0)
[2018-03-20 21:16] [ALPM] upgraded libtirpc (1.0.2-3.0 -> 1.0.3-1.0)
[2018-03-20 21:16] [ALPM] upgraded firefox (59.0.1-1.0 -> 59.0.1-1.1)
[2018-03-20 21:17] [ALPM] upgraded gcc (7.3.0-1.1 -> 7.3.1+20180312-1.0)
[2018-03-20 21:17] [ALPM] upgraded harfbuzz-icu (1.7.6-1.0 -> 1.7.6-1.1)
[2018-03-20 21:17] [ALPM] upgraded libtool (2.4.6+40+g6ca5e224-4.0 -> 2.4.6+40+g6ca5e224-5.0)
[2018-03-20 21:17] [ALPM] upgraded python-setuptools (1:38.6.0-1.0 -> 1:39.0.1-1.0)
[2018-03-20 21:17] [ALPM] upgraded xorg-xinit (1.4.0-2.0 -> 1.4.0-3.0)
[2018-03-20 21:17] [ALPM] transaction completed

The issue is:

eugen@mj Linux 4.14.27-1-MANJARO i686 17.1.6 Hakoila
~ >>> nmtui
NetworkManager is not running.
~ >>> sudo systemctl start NetworkManager                                                                                  [1]
[sudo] password for eugen:
Job for NetworkManager.service failed because the control process exited with error code.
See "systemctl status NetworkManager.service" and "journalctl -xe" for details.
~ >>> sudo systemctl status NetworkManager                                                                                 [1]
● NetworkManager.service - Network Manager
   Loaded: loaded (/usr/lib/systemd/system/NetworkManager.service; enabled; vendor preset: disabled)
  Drop-In: /usr/lib/systemd/system/NetworkManager.service.d
           └─NetworkManager-ovs.conf
   Active: failed (Result: exit-code) since Tue 2018-03-20 21:24:43 CET; 10s ago
     Docs: man:NetworkManager(8)
  Process: 2528 ExecStart=/usr/bin/NetworkManager --no-daemon (code=exited, status=127)
 Main PID: 2528 (code=exited, status=127)

Mar 20 21:24:43 mj systemd[1]: NetworkManager.service: Service hold-off time over, scheduling restart.
Mar 20 21:24:43 mj systemd[1]: NetworkManager.service: Scheduled restart job, restart counter is at 5.
Mar 20 21:24:43 mj systemd[1]: Stopped Network Manager.
Mar 20 21:24:43 mj systemd[1]: NetworkManager.service: Start request repeated too quickly.
Mar 20 21:24:43 mj systemd[1]: NetworkManager.service: Failed with result 'exit-code'.
Mar 20 21:24:43 mj systemd[1]: Failed to start Network Manager.
~ >>>             

I copied the output to a file and paste is from archlinux32.


#4

If this is the same issue that hit people over here I suspect Network Manager needs to be rebuilt against the new libpsl.

Which version of Network Manager do you have installed? Does journalctl -u NetworkManager give any further information?


#5
[eugen:~]->>> ls /mnt/@pkg | grep networkmanager 
networkmanager-1.10.5dev+3+g5159c34ea-1.0-i686.pkg.tar.xz
networkmanager-1.10.6-1.0-i686.pkg.tar.xz
...

I’m just running an update on archlinux32 and libpsl is among the upgrades.


#6

Interesting…

$ pacman -Q networkmanager             
networkmanager 1.10.6-1.0

$ ldd `which NetworkManager` | grep psl
	libpsl.so.6 => not found
	libpsl.so.5 => /usr/lib/libpsl.so.5 (0xb70c6000)
$ pacman -Q libpsl 
libpsl 0.20.1-1.0

$ pacman -Ql libpsl
...
libpsl /usr/lib/libpsl.so
libpsl /usr/lib/libpsl.so.5
libpsl /usr/lib/libpsl.so.5.3.0
...

so it might not be that…


#7

On archlinux32 I updated and got the same issue.
Then I downgraded these:

Packages (4) harfbuzz-icu-1.7.6-1.1  libnm-1.10.6-1.0  libnm-glib-1.10.6-1.0  libpsl-0.20.1-1.0

one after another and only after the downgrade of networkmanager I was able to restart it.

[2018-03-20 21:38] [ALPM] transaction started
[2018-03-20 21:38] [ALPM] upgraded binutils (2.29.1-2.0 -> 2.29.1-3.0)
[2018-03-20 21:38] [ALPM] upgraded cantarell-fonts (1:0.100-1.1 -> 1:0.101-1.0)
[2018-03-20 21:39] [ALPM] upgraded gcc-libs (7.3.0-1.1 -> 7.3.1+20180312-1.0)
[2018-03-20 21:39] [ALPM] upgraded libgpg-error (1.27-1 -> 1.28-1.0)
[2018-03-20 21:39] [ALPM] upgraded libsystemd (237.64-1.0 -> 238.0-3.0)
[2018-03-20 21:39] [ALPM] upgraded libtirpc (1.0.2-3.0 -> 1.0.3-1.0)
[2018-03-20 21:39] [ALPM] upgraded systemd (237.64-1.0 -> 238.0-3.0)
[2018-03-20 21:39] [ALPM] upgraded colord (1.4.1+6+gf08c25d-1.0 -> 1.4.2-1.0)
[2018-03-20 21:39] [ALPM] upgraded libpsl (0.19.1-1.0 -> 0.20.1-1.0)
[2018-03-20 21:39] [ALPM] upgraded curl (7.58.0-1.0 -> 7.59.0-2.0)
[2018-03-20 21:39] [ALPM] upgraded exempi (2.4.3+2+g65a8492-1 -> 2.4.5-1.0)
[2018-03-20 21:39] [ALPM] upgraded gcc (7.3.0-1.1 -> 7.3.1+20180312-1.0)
[2018-03-20 21:39] [ALPM] upgraded grub (2:2.02-4.0 -> 2:2.02-5.0)
[2018-03-20 21:39] [ALPM] upgraded harfbuzz (1.7.5-1.0 -> 1.7.6-1.1)
[2018-03-20 21:39] [ALPM] upgraded libbluray (1.0.1-1 -> 1.0.2-1.0)
[2018-03-20 21:39] [ALPM] upgraded libvorbis (1.3.5-1 -> 1.3.6-1.0)
[2018-03-20 21:39] [ALPM] upgraded xvidcore (1.3.4-1 -> 1.3.5-1.0)
[2018-03-20 21:39] [ALPM] upgraded libdrm (2.4.91-1.0 -> 2.4.91-2.0)
[2018-03-20 21:39] [ALPM] upgraded gst-plugins-bad (1.12.4-4.0 -> 1.12.4-5.0)
[2018-03-20 21:39] [ALPM] upgraded harfbuzz-icu (1.7.5-1.0 -> 1.7.6-1.1)
[2018-03-20 21:39] [ALPM] upgraded libtool (2.4.6+40+g6ca5e224-4.0 -> 2.4.6+40+g6ca5e224-5.0)
[2018-03-20 21:39] [ALPM] upgraded libmagick (7.0.7.25-1.0 -> 7.0.7.26-1.0)
[2018-03-20 21:39] [ALPM] upgraded imagemagick (7.0.7.25-1.0 -> 7.0.7.26-1.0)
[2018-03-20 21:39] [ALPM] upgraded intel-ucode (20180108-1.1 -> 20180312-1.0)
[2018-03-20 21:39] [ALPM] upgraded libinput (1.10.2-1.0 -> 1.10.3-1.0)
[2018-03-20 21:39] [ALPM] upgraded libnm (1.10.5dev+3+g5159c34ea-1.0 -> 1.10.6-1.0)
[2018-03-20 21:39] [ALPM] upgraded libnm-glib (1.10.5dev+3+g5159c34ea-1.0 -> 1.10.6-1.0)
[2018-03-20 21:39] [ALPM] upgraded librsvg (2:2.42.3-1.0 -> 2:2.42.3-1.2)
[2018-03-20 21:40] [ALPM] upgraded libxnvctrl (390.25-1.0 -> 390.42-1.0)
[2018-03-20 21:40] [ALPM] upgraded linux (4.15.7-1.0 -> 4.15.9-1.0)
[2018-03-20 21:40] [ALPM] upgraded networkmanager (1.10.5dev+3+g5159c34ea-1.0 -> 1.10.6-1.0)
[2018-03-20 21:40] [ALPM] installed libev (4.24-1)
[2018-03-20 21:40] [ALPM] installed jemalloc (1:5.0.1-4.0)
[2018-03-20 21:40] [ALPM] installed nghttp2 (1.30.0-1.0)
[2018-03-20 21:40] [ALPM] upgraded nodejs (9.8.0-1.0 -> 9.8.0-2.0)
[2018-03-20 21:40] [ALPM] upgraded python-setuptools (1:38.5.2-1.0 -> 1:39.0.1-1.0)
[2018-03-20 21:40] [ALPM] upgraded wget (1.19.4-1.0 -> 1.19.4-2.0)
[2018-03-20 21:40] [ALPM] upgraded xdg-utils (1.1.2-1 -> 1.1.2-2.0)
[2018-03-20 21:40] [ALPM] transaction completed
[2018-03-20 21:40] [ALPM] running '60-linux.hook'...
[2018-03-20 21:41] [ALPM] running '90-linux.hook'...
[2018-03-20 21:41] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux.preset: 'default'
[2018-03-20 21:41] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux.img
[2018-03-20 21:41] [ALPM-SCRIPTLET] ==> Starting build: 4.15.9-1.0-ARCH
[2018-03-20 21:41] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2018-03-20 21:41] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2018-03-20 21:41] [ALPM-SCRIPTLET]   -> Running build hook: [autodetect]
[2018-03-20 21:41] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2018-03-20 21:41] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2018-03-20 21:41] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2018-03-20 21:41] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2018-03-20 21:41] [ALPM-SCRIPTLET]   -> Running build hook: [keymap]
[2018-03-20 21:41] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2018-03-20 21:41] [ALPM-SCRIPTLET] ==> Creating lz4-compressed initcpio image: /boot/initramfs-linux.img
[2018-03-20 21:41] [ALPM-SCRIPTLET] ==> Image generation successful
[2018-03-20 21:41] [ALPM] running 'detect-old-perl-modules.hook'...
[2018-03-20 21:41] [ALPM] running 'fontconfig.hook'...
[2018-03-20 21:41] [ALPM] running 'gdk-pixbuf-query-loaders.hook'...
[2018-03-20 21:41] [ALPM] running 'glib-compile-schemas.hook'...
[2018-03-20 21:41] [ALPM] running 'systemd-catalog.hook'...
[2018-03-20 21:41] [ALPM] running 'systemd-daemon-reload.hook'...
[2018-03-20 21:41] [ALPM] running 'systemd-hwdb.hook'...
[2018-03-20 21:41] [ALPM] running 'systemd-sysctl.hook'...
[2018-03-20 21:41] [ALPM] running 'systemd-sysusers.hook'...
[2018-03-20 21:41] [ALPM] running 'systemd-tmpfiles.hook'...
[2018-03-20 21:41] [ALPM] running 'systemd-udev-reload.hook'...
[2018-03-20 21:41] [ALPM] running 'systemd-update.hook'...
[2018-03-20 21:41] [ALPM] running 'texinfo-install.hook'...
[2018-03-20 21:41] [ALPM] running 'xorg-mkfontdir.hook'...
[2018-03-20 21:44] [PACMAN] Running 'pacman -U /var/cache/pacman/pkg/libpsl-0.19.1-1.0-i686.pkg.tar.xz'
[2018-03-20 21:44] [ALPM] transaction started
[2018-03-20 21:44] [ALPM] downgraded libpsl (0.20.1-1.0 -> 0.19.1-1.0)
[2018-03-20 21:44] [ALPM] transaction completed
[2018-03-20 21:44] [ALPM] running 'systemd-update.hook'...
[2018-03-20 21:47] [PACMAN] Running 'pacman -U /var/cache/pacman/pkg/harfbuzz-icu-1.7.6-1.0-i686.pkg.tar.xz'
[2018-03-20 21:47] [ALPM] transaction started
[2018-03-20 21:47] [ALPM] downgraded harfbuzz-icu (1.7.6-1.1 -> 1.7.6-1.0)
[2018-03-20 21:47] [ALPM] transaction completed
[2018-03-20 21:47] [ALPM] running 'systemd-update.hook'...
[2018-03-20 21:47] [PACMAN] Running 'pacman -U /var/cache/pacman/pkg/libnm-1.10.5dev+3+g5159c34ea-1.0-i686.pkg.tar.xz'
[2018-03-20 21:47] [ALPM] transaction started
[2018-03-20 21:47] [ALPM] downgraded libnm (1.10.6-1.0 -> 1.10.5dev+3+g5159c34ea-1.0)
[2018-03-20 21:47] [ALPM] transaction completed
[2018-03-20 21:47] [ALPM] running 'systemd-update.hook'...
[2018-03-20 21:48] [PACMAN] Running 'pacman -U /var/cache/pacman/pkg/libnm-glib-1.10.5dev+3+g5159c34ea-1.0-i686.pkg.tar.xz'
[2018-03-20 21:48] [ALPM] transaction started
[2018-03-20 21:48] [ALPM] downgraded libnm-glib (1.10.6-1.0 -> 1.10.5dev+3+g5159c34ea-1.0)
[2018-03-20 21:48] [ALPM] transaction completed
[2018-03-20 21:48] [ALPM] running 'systemd-update.hook'...
[2018-03-20 21:48] [PACMAN] Running 'pacman -U /var/cache/pacman/pkg/networkmanager-1.10.5dev+3+g5159c34ea-1.0-i686.pkg.tar.xz'
[2018-03-20 21:48] [ALPM] transaction started
[2018-03-20 21:48] [ALPM] downgraded networkmanager (1.10.6-1.0 -> 1.10.5dev+3+g5159c34ea-1.0)
[2018-03-20 21:48] [ALPM] transaction completed
[2018-03-20 21:48] [ALPM] running 'systemd-daemon-reload.hook'...
[2018-03-20 21:48] [ALPM] running 'systemd-udev-reload.hook'...
[2018-03-20 21:48] [ALPM] running 'systemd-update.hook'...
[2018-03-20 21:48] [PACMAN] Running 'pacman -S -y -u --color always --color always'
[2018-03-20 21:48] [PACMAN] synchronizing package lists
[2018-03-20 21:49] [PACMAN] Running 'pacman -S -y -u --color always --color always'
[2018-03-20 21:49] [PACMAN] synchronizing package lists
[2018-03-20 21:49] [PACMAN] starting full system upgrade
[2018-03-20 21:49] [ALPM] transaction started
[2018-03-20 21:49] [ALPM] upgraded harfbuzz-icu (1.7.6-1.0 -> 1.7.6-1.1)
[2018-03-20 21:49] [ALPM] upgraded libnm (1.10.5dev+3+g5159c34ea-1.0 -> 1.10.6-1.0)
[2018-03-20 21:49] [ALPM] upgraded libnm-glib (1.10.5dev+3+g5159c34ea-1.0 -> 1.10.6-1.0)
[2018-03-20 21:49] [ALPM] upgraded libpsl (0.19.1-1.0 -> 0.20.1-1.0)
[2018-03-20 21:49] [ALPM] transaction completed

An upgrade of the mentioned packages which I performed after the downgrade of networkmanager doesn’t break networkmanager. I was even able to reboot without errors.


#8

Let me know when it’s safe to go back in the water!


#9
error while loading shared libraries: libpsl.so.6

Weird that this has just started given Network Manager itself hasn’t been updated…

Oh! libpsl-0.20.0-1.0-i686.pkg.tar.xz provides libpsl.so.6… hmmm


You know, it would be really good if PKGBUILD files also included soname versions that they provide like Debian does.


#10

Just downgrade networkmanger to 1.10.5dev+3+g5159c34ea-1.0.
I just tested it works on Manjaro32 after that.


#11

Holy ■■■■■■■ ■■■■.

Upstream accidentally bumped the soname then decided to revert the change after everyone has built packages based on the soname bump.

This is going to cause major issues. Any discussion in Arch proper? I think I’d like to see that. :smiley:


To fix this for us for the moment let me revert libpsl to 0.20.0-1.0 and we’ll see what happens.

Actually, it’s just Network Manager that needs a rebuild; curl and other packages which dep on libpsl appear to be fine. I’ll do that.


After updating network manager won't start
#12

You mean libpsl 0.19.1-1.0?
See my pacman.log
[2018-03-20 21:44] [ALPM] downgraded libpsl (0.20.1-1.0 -> 0.19.1-1.0)
It didn’t help with NetworkManager.


#13

Nope, I’ve definitely got 0.20.0-1.0 in my pacman cache; it provides libpsl.so.6 which Network Manager was built against.


#14

You are right, I have it, too. Archlinux32 doesn’t show libpsl 0.20.0-1.0, but on manjaro32 I can downgrade to it.

Now I downgraded to libpsl 0.20.0-1.0 with previously downgraded networkmanager 1.10.5dev+3+g5159c34ea-1.0 and I get
curl: error while loading shared libraries: libpsl.so.5: ...
Will have to work with pacman -U from here on.


#15

Switch back to 0.20.1-1.0, I’m rebuilding networkmanager as we speak.


#16

Ouch, even pacman -U gives that error.


#17

You should be able to extract libpsl.so.5 from the archive and either put it on the search path or in the current directory and find it with e.g.

LD_LIBRARY_PATH=. pacman -S blah

Network Manager rebuilt:

:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                               libnm                    -           1.10.6-2.0
                          libnm-glib                    -           1.10.6-2.0
                      networkmanager                    -           1.10.6-2.0

That looks better:

$ ldd `which NetworkManager` | grep psl
	libpsl.so.5 => /usr/lib/libpsl.so.5 (0xb75d5000)

#18

Ok, I was able to extract the package to /usr/lib, now libpsl 0.20.1-1.0 is installed, waiting for the new networkmanager.

Now networkmanager etc. are 1.10.6-2.0 and no issues, also no issues after reboot.


#19

Yup, no issues here either.

Nicely done. :slight_smile:


#20

networkmanager 1.10.6-2.0 or bust?